import {memo, useState} from "react";
import {Button} from "antd";
import {HeartTwoTone} from "@ant-design/icons";

export const CollectButton = memo(({
  onClick,
  checkStyle,
  defaultStyle,
  children,
  checked
}) => {
  const [status,setStatus]=useState(checked);
  return <Button type="link" key={2} >
    {children?children:<HeartTwoTone style={{fontSize:25}} color={"red"}/>}
  </Button>
})